LMDE - loop of conflicting packages

Bug #656085 reported by z3r0z3r0 on 2010-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux Mint
Fix Released
High
Clement Lefebvre

Bug Description

In LMDE there's at the moment a loop of conflicting packages and cross dependences:

1- appears the new Mint-clearloox-theme. Cool!! A new theme, lets try it!

2- appears mint-x-theme! Nice! The Devs are buzzy, but this last conflicts with the first. ohh, ok it's an inprovement.

3- appears mint-flashplugin, but at it's installation removes mint-meta-debian and flashplugin-nonfree. Logical about the last but why the first?

4- now if i try to re-install mint-meta-debian, synaptic wants to remove mint-flashplugin and mint-x-theme and install flashplugin-nonfree and mint-clearloox-theme.

Don't know if my explanation makes much sense!!!
Tried my best

Hi,

These are some of the packages we're working on for Linux Mint 10. They made their way to LMDE Romeo but they're not considered stable enough for mint-meta-debian to point to them yet.

PS: Why do you say mint-clearloox-theme and mint-x-theme conflict with each others? Can you paste the error message you get when trying to have both installed?

Changed in linuxmint:
milestone: none → lmde-201012
assignee: nobody → Clement Lefebvre (clementlefebvre)
importance: Undecided → High
status: New → Confirmed
z3r0z3r0 (ami6lukas) wrote :

amadeu@inspiron1545-laptop ~ $ su
Password:
inspiron1545-laptop amadeu # apt-get install mint-x-theme
Reading package lists... Done
Building dependency tree
Reading state information... Done
mint-x-theme is already the newest version.
The following package was automatically installed and is no longer required:
  libcue1
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
inspiron1545-laptop amadeu # apt-get install mint-clearlox-theme
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package mint-clearlox-theme
inspiron1545-laptop amadeu # apt-get install mint-clearloox-theme
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  libcue1
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  mint-x-theme
The following NEW packages will be installed:
  mint-clearloox-theme
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B/204 kB of archives.
After this operation, 4,096 B disk space will be freed.
Do you want to continue [Y/n]?

Oh ok, it replaces it... that's because clearloox was initially designed as the default theme, and it was later replaced by mint-x. Clearloox was to disappear, but there's reasons to keep it. I'll have this fixed after Mint 10.

mint-clearlox-theme was removed from the archive.

sorry, I meant mint-clearloox-theme

Changed in linuxmint:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers